当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 18 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 15:59 

注册: 2009-08-27 6:46
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
我用的是Ubuntu release 9.10(karmic)版本
属于2Ubuntu2还是1Ubuntu5?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:02 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 272
这没头没脑的一句。。。。听不懂。


_________________
● 鸣学


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:05 

注册: 2009-08-27 6:46
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
eexpress 写道:
这没头没脑的一句。。。。听不懂。

呵呵,是我说的不清楚 :em06
在官网下载的vim软件包vim_7.2.245-2ubuntu2_i386.deb ,在我的Ubuntu上安装不了,所以我想是不是软件包所支持的系统版本问题
所以就问问这个2Ubuntu2是啥意思


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:13 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 19
安装时什么报错信息?


_________________
Grub2 基础教程


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:24 
头像

注册: 2007-03-02 17:36
帖子: 7259
送出感谢: 3
接收感谢: 97
为什么不从源里面装?


_________________
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:29 

注册: 2009-08-27 6:46
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
smallapple 写道:
安装时什么报错信息?

提示是:
error: dependency is not satisfiable: vim-common(=2: 7.2.245-2ubuntu2)
是不是因为Ubuntu版本问题?


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:30 

注册: 2009-08-27 6:46
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
懒蜗牛Gentoo 写道:
为什么不从源里面装?

弱弱问一句:什么是从源里装?能否举个简单的例子?


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:39 
头像

注册: 2007-03-02 17:36
帖子: 7259
送出感谢: 3
接收感谢: 97
如果你的电脑能上网,如果你配置好了软件源服务器(不配也行,就是慢),那么你只要输入以下命令:
sudo apt-get install vim
就可以装好vim了。

或者你打开“新立德软件包管理器”,搜索vim,然后选中,右键点击,选“标记以便安装”,然后一路确定下去,就装好了。

ubuntu装软件方便就方便在这里。


_________________
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:41 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 19
引用:
error: dependency is not satisfiable: vim-common(=2: 7.2.245-2ubuntu2)


缺少依赖包


_________________
Grub2 基础教程


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:44 

注册: 2009-08-27 6:46
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
懒蜗牛Gentoo 写道:
如果你的电脑能上网,如果你配置好了软件源服务器(不配也行,就是慢),那么你只要输入以下命令:
sudo apt-get install vim
就可以装好vim了。

或者你打开“新立德软件包管理器”,搜索vim,然后选中,右键点击,选“标记以便安装”,然后一路确定下去,就装好了。

ubuntu装软件方便就方便在这里。

电脑是能上网,但是是教育网用户,更新不了
关于那个软件包管理器,我的这个版本的Ubuntu里只有vim-common和vimtiny这两项,其他都没有


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:47 

注册: 2009-08-27 6:46
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
smallapple 写道:
引用:
error: dependency is not satisfiable: vim-common(=2: 7.2.245-2ubuntu2)


缺少依赖包

是确少vim-common依赖包么?
如果是的话,是不是应该先安装vim-common软件包?但是我的机子里面已经有了vic-common了啊


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:51 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 19
应该vim-common版本太低了,一起下载安装看看,要放在同目录下,用sudo dpkg -i vim*.deb 安装


_________________
Grub2 基础教程


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 16:52 
头像

注册: 2009-03-28 15:12
帖子: 7867
送出感谢: 2
接收感谢: 19
能上网应该能用新立得安装的吧?


_________________
Grub2 基础教程


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 17:15 
头像

注册: 2007-03-02 17:36
帖子: 7259
送出感谢: 3
接收感谢: 97
教育网也有源啊


_________________
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 软件包上面写的2Ubuntu2,1Ubuntu5是什么意思?
帖子发表于 : 2009-09-23 17:48 

注册: 2009-08-27 6:46
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
smallapple 写道:
应该vim-common版本太低了,一起下载安装看看,要放在同目录下,用sudo dpkg -i vim*.deb 安装

我在同一目录下放了4个deb文件:vimcdoc-1.6.0.tar
linux-headers-2.6.31-3-generic vim-common_7.2.245-2ubuntu2_i386.deb vim-gtk_7.2.245-2ubuntu2_i386.deb
vim_7.2.245-2ubuntu2_i386.deb vim-tiny_7.2.245-2ubuntu2_i386.de
安装的提示是:
选中了曾被取消选择的软件包 vim。
(正在读取数据库 ... 系统当前总共安装有 102432 个文件和目录。)
正在解压缩 vim (从 vim_7.2.245-2ubuntu2_i386.deb) ...
正预备替换 vim-common 2:7.2.148-2ubuntu2 (使用 vim-common_7.2.245-2ubuntu2_i386.deb) ...
正在解压缩将用于更替的包文件 vim-common ...
dpkg:警告:无法删除原有的目录“/usr/share/man/pl.UTF-8/man1”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/pl.UTF-8”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/pl.ISO8859-2/man1”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/pl.ISO8859-2”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/it.UTF-8/man1”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/it.UTF-8”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/it.ISO8859-1/man1”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/it.ISO8859-1”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/fr.UTF-8/man1”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/fr.UTF-8”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/fr.ISO8859-1/man1”:Directory not empty
dpkg:警告:无法删除原有的目录“/usr/share/man/fr.ISO8859-1”:Directory not empty
选中了曾被取消选择的软件包 vim-gtk。
正在解压缩 vim-gtk (从 vim-gtk_7.2.245-2ubuntu2_i386.deb) ...
正预备替换 vim-tiny 2:7.2.148-2ubuntu2 (使用 vim-tiny_7.2.245-2ubuntu2_i386.deb) ...
正在解压缩将用于更替的包文件 vim-tiny ...
dpkg:依赖关系问题使得 vim 的配置工作不能继续:
vim 依赖于 vim-runtime (= 2:7.2.245-2ubuntu2);然而:
未曾安装软件包“vim-runtime”。
vim 依赖于 libselinux1 (>= 2.0.85);然而:
系统中 libselinux1 的版本为 2.0.82-1ubuntu2。
dpkg:处理 vim (--install)时出错:
依赖关系问题 - 仍未被配置
正在设置 vim-common (2:7.2.245-2ubuntu2) ...

dpkg:依赖关系问题使得 vim-gtk 的配置工作不能继续:
vim-gtk 依赖于 vim-gui-common (= 2:7.2.245-2ubuntu2);然而:
未曾安装软件包“vim-gui-common”。
vim-gtk 依赖于 vim-runtime (= 2:7.2.245-2ubuntu2);然而:
未曾安装软件包“vim-runtime”。
vim-gtk 依赖于 libgtk2.0-0 (>= 2.17.11);然而:
系统中 libgtk2.0-0 的版本为 2.17.5-0ubuntu2。
vim-gtk 依赖于 libruby1.8 (>= 1.8.7.174);然而:
未曾安装软件包“libruby1.8”。
vim-gtk 依赖于 libselinux1 (>= 2.0.85);然而:
系统中 libselinux1 的版本为 2.0.82-1ubuntu2。
dpkg:处理 vim-gtk (--install)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 vim-tiny 的配置工作不能继续:
vim-tiny 依赖于 libselinux1 (>= 2.0.85);然而:
系统中 libselinux1 的版本为 2.0.82-1ubuntu2。
dpkg:处理 vim-tiny (--install)时出错:
依赖关系问题 - 仍未被配置
正在处理用于 man-db 的触发器...
在处理时有错误发生:
vim
vim-gtk
vim-tiny

这该怎么解决啊


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 18 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译